From 186e6fda2557e23346a14340364187bd0fc8dcee Mon Sep 17 00:00:00 2001
From: Sarah McAlear and Tira Odhner <pair+smcalear+aodhner@pivotal.io>
Date: Tue, 21 Feb 2017 15:42:45 -0500
Subject: [PATCH 2/2] wrap README in 80 characters and simplify
 TemplateSelectionFeatureTest

---
 README                                                      | 13 +++++++------
 .../feature_tests/template_selection_feature_test.py        | 11 +----------
 2 files changed, 8 insertions(+), 16 deletions(-)

diff --git a/README b/README
index c4a533e2..ed010174 100644
--- a/README
+++ b/README
@@ -2,7 +2,7 @@ pgAdmin 4
 =========
 
 pgAdmin 4 is a rewrite of the popular pgAdmin3 management tool for the
-PostgreSQL (http://www.postgresql.org) database. 
+PostgreSQL (http://www.postgresql.org) database.
 
 In the following documentation and examples, "$PGADMIN4_SRC/" is used to denote
 the top-level directory of a copy of the pgAdmin source tree, either from a
@@ -53,9 +53,10 @@ By default, the runtime application will be built in release mode.
 On Linux, an executable called 'pgAdmin4' will be built, and on Mac OS X, an
 app bundle called pgAdmin4.app will be created.
 
-To build the runtime on a Windows system, export PYTHON_HOME and PYTHON_VERSION 
-variables in the System environment. Specify the PYTHON_VERSION with the major 
-and minor number. Do not specify micro level version.
+To build the runtime on a Windows system, export PYTHON_HOME and
+PYTHON_VERSION variables in the System environment. Specify the
+PYTHON_VERSION with the major and minor number. Do not specify micro level
+version.
 
 For example, given a Python version of A.B.C; A - Major number, B - Minor
 number, C - Micro level (Bug fix releases).
@@ -100,7 +101,7 @@ process is fairly simple - adapt as required for your distribution:
    pg_config can be found for building psycopg2), and install the required
    packages:
 
-    (pgadmin4) $ PATH=$PATH:/usr/local/pgsql/bin pip install -r $PGADMIN4_SRC/requirements_py2.txt
+   $ PATH=$PATH:/usr/local/pgsql/bin pip install -r $PGADMIN4_SRC/requirements_py2.txt
 
    If you are using Python 3, use the requirements_py3.txt file instead.
 
@@ -302,6 +303,6 @@ pgAdmin Hackers mailing list:
 
 pgadmin-hackers@postgresql.org
 
--- 
+--
 Dave Page
 pgAdmin Project Lead
diff --git a/web/pgadmin/feature_tests/template_selection_feature_test.py b/web/pgadmin/feature_tests/template_selection_feature_test.py
index 858950f4..ceb12478 100644
--- a/web/pgadmin/feature_tests/template_selection_feature_test.py
+++ b/web/pgadmin/feature_tests/template_selection_feature_test.py
@@ -36,16 +36,7 @@ class TemplateSelectionFeatureTest(BaseFeatureTest):
         self.page.find_by_partial_link_text("Trigger function...").click()
         self.page.fill_input_by_field_name("name", "test-trigger-function")
         self.page.find_by_partial_link_text("Definition").click()
-        self.page.fill_codemirror_area_with(
-"""CREATE OR REPLACE FUNCTION log_last_name_changes()
-RETURNS TRIGGER AS
-$BODY$
-BEGIN
-
-END;
-$BODY$
-"""
-        )
+        self.page.fill_codemirror_area_with("some-trigger-function-content")
         self.page.find_by_partial_link_text("SQL").click()
 
         self.page.find_by_xpath("//*[contains(@class,'CodeMirror-lines') and contains(.,'LEAKPROOF')]")
-- 
2.11.0

